> For the complete documentation index, see [llms.txt](https://docs.b2ihealthcare.com/snow-owl-authoring-platform/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.b2ihealthcare.com/snow-owl-authoring-platform/reference-sets/reference-set-types/map-type-reference-sets/complex-map-type-reference-sets.md).

# Complex Map Type Reference Sets

Complex Maps are used for one-to-many or many-to-one mappings, where you can specify rules and advice for the map execution as well as the level of generalization or specialization. One-to-many mappings are displayed in the table in separate lines.

{% hint style="success" %}
SNOMED CT Concept to any other Code System mappings are allowed.
{% endhint %}

To create a new Complex Map type Reference Set, right-click on a Reference Set type grouper concept in the Reference Set view and select the ![](/files/hOudrAoJ3vje6M3oY0Kw)*New complex map type reference set...* Context Menu option.

Members can be added the same way as to a Simple type Reference Set.

Mandatory properties to be specified in the New SNOMED CT Reference Set Member Wizard:

| Property                 | Description                                                                                   |
| ------------------------ | --------------------------------------------------------------------------------------------- |
| **Referenced component** | The SNOMED CT component that is mapped to the other terminology or Code System                |
| **Map target**           | The target code in the target terminology, classification, or Code System                     |
| **Map group**            | A value grouping a set of Complex Map records from which one may be selected as a target code |
| **Map priority**         | The order in which Complex Map records should be checked within a map group                   |
| **Correlation**          | The correlation between the SNOMED CT component and the target code                           |
| **Module**               | The SNOMED CT module that contains this Reference Set member (primary module by default)      |

Other properties of Complex Map members:

| Property       | Description                                                                                                                                                     |
| -------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **Map rule**   | A machine-readable rule, (evaluating to either `true` or `false` at run-time) that indicates whether this map record should be selected within its Map Group    |
| **Map advice** | Human-readable advice, that may be used to give an end-user advice on selection of the appropriate target code from the alternatives presented within the group |

Some of the properties can be modified afterward from the Complex Map type Reference Set Editor. In-cell editing is allowed in the specified member fields such as *groupNumber, mapPriority, mapAdvice, mapRule, correlation, mapCategory* columns when authoring Complex Map Type Reference Sets.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.b2ihealthcare.com/snow-owl-authoring-platform/reference-sets/reference-set-types/map-type-reference-sets/complex-map-type-reference-sets.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
